Page MenuHomePhabricator

CirrusSearch\Query\FileFeatureTest::testWarningNumeric fails on PHP 7.0
Closed, ResolvedPublic

Description

20:03:11 1) CirrusSearch\Query\FileFeatureTest::testWarningNumeric with data set "unparsable output must still be reported" (array(array('cirrussearch-file-numeric-fea...number', 'filesize', '>')), 'filesize:>')
20:03:11 Failed asserting that two arrays are equal.
20:03:11 --- Expected
20:03:11 +++ Actual
20:03:11 @@ @@
20:03:11  Array (
20:03:11      0 => Array (
20:03:11          0 => 'cirrussearch-file-numeric-fea...number'
20:03:11          1 => 'filesize'
20:03:11 -        2 => '>'
20:03:11 +        2 => ''
20:03:11      )
20:03:11  )
20:03:11 
20:03:11 /home/jenkins/workspace/mwext-testextension-php70-jessie-non-voting/src/extensions/CirrusSearch/tests/phpunit/Query/BaseSimpleKeywordFeatureTest.php:50
20:03:11 /home/jenkins/workspace/mwext-testextension-php70-jessie-non-voting/src/extensions/CirrusSearch/tests/phpunit/Query/FileFeatureTest.php:165
20:03:11 /home/jenkins/workspace/mwext-testextension-php70-jessie-non-voting/src/tests/phpunit/MediaWikiTestCase.php:420
20:03:11 /home/jenkins/workspace/mwext-testextension-php70-jessie-non-voting/src/maintenance/doMaintenance.php:94

https://integration.wikimedia.org/ci/job/mwext-testextension-php70-jessie-non-voting/241/console

Event Timeline

Legoktm created this task.Feb 26 2018, 10:43 PM
Restricted Application added projects: Discovery, Discovery-Search. · View Herald TranscriptFeb 26 2018, 10:43 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
EBjune triaged this task as Normal priority.Feb 27 2018, 6:22 PM
EBjune moved this task from needs triage to Up Next on the Discovery-Search board.
Smalyshev moved this task from Backlog to Next on the User-Smalyshev board.Feb 27 2018, 10:12 PM
Smalyshev moved this task from Next to In review on the User-Smalyshev board.Feb 28 2018, 10:12 PM
Smalyshev closed this task as Resolved.Feb 28 2018, 10:50 PM